﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using EntitiesLayer;

namespace ServiceLayer
{
    // HINWEIS: Mit dem Befehl "Umbenennen" im Menü "Umgestalten" können Sie den Klassennamen "Service1" sowohl im Code als auch in der SVC- und der Konfigurationsdatei ändern.
    public class Service1 : IAddressService
    {

        public List<EntitiesLayer.Address> GetAddresses()
        {
            using (var ctx = new AdventureWorksEntities())
            {
                return ctx.Addresses.Take(3).ToList();
            }
        }

        public void UpdateAddress(EntitiesLayer.Address adrObject)
        {
            using (var ctx = new AdventureWorksEntities())
            {
                ctx.Addresses.ApplyChanges(adrObject);
                ctx.SaveChanges();
            }
        }
    }
}
